Page MenuHomeFreeBSD

lang/python27: Update to 2.7.11
ClosedPublic

Authored by cem on Dec 6 2015, 6:31 PM.

Details

Summary

Announcement: https://www.python.org/downloads/release/python-2711/
Changelog: https://hg.python.org/cpython/raw-file/v2.7.11/Misc/NEWS

Important changes for this release:

  • Python 2.7.11 is a bug fix release of the Python 2.7.x series.
Test Plan

'make check-plist' is clean.

$ ( cd python-doc-html && make checksum )
===>   python-doc-html-2.7.11 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by python-doc-html-2.7.11 for building
=> SHA256 Checksum OK for python/python-2.7.11-docs-html.tar.bz2.
$ ( cd python-doc-pdf-a4 && make checksum )
===>   python-doc-pdf-a4-2.7.11 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by python-doc-pdf-a4-2.7.11 for building
=> SHA256 Checksum OK for python/python-2.7.11-docs-pdf-a4.tar.bz2.
$ ( cd python-doc-pdf-letter && make checksum )
===>   python-doc-pdf-letter-2.7.11 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by python-doc-pdf-letter-2.7.11 for building
=> SHA256 Checksum OK for python/python-2.7.11-docs-pdf-letter.tar.bz2.
$ ( cd python-doc-text && make checksum )
===>   python-doc-text-2.7.11 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by python-doc-text-2.7.11 for building
=> SHA256 Checksum OK for python/python-2.7.11-docs-text.tar.bz2.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

cem updated this revision to Diff 10825.Dec 6 2015, 6:31 PM
cem retitled this revision from to lang/python: Update to 2.7.11.
cem updated this object.
cem edited the test plan for this revision. (Show Details)
cem added reviewers: koobs, vsevolod, antoine, brnrd.
cem added a subscriber: benno.
cem edited the test plan for this revision. (Show Details)Dec 6 2015, 6:32 PM
antoine requested changes to this revision.Dec 6 2015, 6:35 PM
antoine edited edge metadata.

This breaks the python-doc-* ports

This revision now requires changes to proceed.Dec 6 2015, 6:35 PM
cem added a comment.Dec 6 2015, 6:41 PM

This breaks the python-doc-* ports

Could you be a little more specific?

cd /usr/ports/lang/python-doc-html && make checksum ; watch it fail

cem added a comment.Dec 6 2015, 6:49 PM

cd /usr/ports/lang/python-doc-html && make checksum ; watch it fail

How are the distinfo files in that port generated?

cem updated this revision to Diff 10826.Dec 6 2015, 6:54 PM
cem edited edge metadata.

Add python-2.7.11 doc tarball hashes to doc port distinfo.

cem edited the test plan for this revision. (Show Details)Dec 6 2015, 6:55 PM
cem edited edge metadata.
cem edited the test plan for this revision. (Show Details)
brnrd removed a reviewer: brnrd.Dec 6 2015, 8:13 PM
koobs retitled this revision from lang/python: Update to 2.7.11 to lang/python27: Update to 2.7.11.Dec 6 2015, 11:57 PM
koobs edited edge metadata.Dec 7 2015, 12:00 AM

Can you add make test (OK/FAIL) to the TEST PLAN section please. If it fails please compare tests without the change to check for test regressions

cem added a comment.Dec 7 2015, 12:29 AM
In D4413#92928, @koobs wrote:

Can you add make test (OK/FAIL) to the TEST PLAN section please. If it fails please compare tests without the change to check for test regressions

It doesn't seem to do anything:

$ make test
===>  Testing for python27-2.7.11
koobs added a comment.Dec 17 2015, 3:56 AM
In D4413#97106, @cem wrote:

Ping?

Oops sorry:

make regression-test

It needs to be converted to do-test:

cem added a comment.Dec 17 2015, 3:02 PM

It's running. Since this is the test suite distributed by Python.org, hopefully they've run it and had it pass. :)

$ make regression-test
...
== CPython 2.7.11 (default, Dec 6 2015, 10:20:02) [GCC 4.2.1 Compatible FreeBSD Clang 3.7.0 (tags/RELEASE_370/final 246257)]
==   FreeBSD-11.0-CURRENT-amd64-64bit-ELF little-endian
==   /usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/build/test_python_63522
Testing with flags: sys.flags(debug=0, py3k_warning=1, division_warning=1, division_new=0, inspect=0, interactive=0, optimize=0, dont_write_bytecode=0, no_user_site=0, no_site=0, ignore_environment=1, tabcheck=2, verbose=0, unicode=0, bytes_warning=0, hash_randomization=1)
Using random seed 9931694
[  1/401] test_rfc822
...
cem added a comment.Dec 17 2015, 4:19 PM
test test_smtplib failed -- multiple errors occurred; run in verbose mode for details
[294/401/1] test_smtplib
...
[401/401/1] test_docxmlrpc
366 tests OK.
1 test failed:
    test_smtplib
1 test altered the execution environment:
    test_site
33 tests skipped:
    test_aepack test_al test_applesingle test_bsddb test_bsddb3
    test_cd test_cl test_curses test_dl test_epoll test_gdb test_gdbm
    test_gl test_idle test_imageop test_imgfile test_linuxaudiodev
    test_macos test_macostools test_msilib test_multiprocessing
    test_scriptpackages test_spwd test_sqlite test_startfile
    test_sunaudiodev test_tcl test_tk test_ttk_guionly
    test_ttk_textonly test_winreg test_winsound test_zipfile64
Ask someone to teach regrtest.py about which tests are
expected to get skipped on freebsd11.
Re-running failed tests in verbose mode
Re-running test 'test_smtplib' in verbose mode
testBasic1 (test.test_smtplib.GeneralTests) ...

(Still running — I assume it's going to time out eventually, I'll update the logs when it does.)

cem added a comment.Dec 17 2015, 5:31 PM
testBasic1 (test.test_smtplib.GeneralTests) ... ok
testBasic2 (test.test_smtplib.GeneralTests) ... ok
testLocalHostName (test.test_smtplib.GeneralTests) ... ok
testTimeoutDefault (test.test_smtplib.GeneralTests) ... ok
testTimeoutNone (test.test_smtplib.GeneralTests) ... ok
testTimeoutValue (test.test_smtplib.GeneralTests) ... ok
testBasic (test.test_smtplib.DebuggingServerTests) ... ERROR
testHELP (test.test_smtplib.DebuggingServerTests) ... ERROR
testNOOP (test.test_smtplib.DebuggingServerTests) ... ERROR
testNotImplemented (test.test_smtplib.DebuggingServerTests) ... ERROR
testRSET (test.test_smtplib.DebuggingServerTests) ... ERROR
testSecondHELO (test.test_smtplib.DebuggingServerTests) ... ERROR
testSend (test.test_smtplib.DebuggingServerTests) ... ERROR
testVRFY (test.test_smtplib.DebuggingServerTests) ... ERROR
testNonnumericPort (test.test_smtplib.NonConnectingTests) ... ok
testNotConnected (test.test_smtplib.NonConnectingTests) ... ok
testFailingHELO (test.test_smtplib.BadHELOServerTests) ... ok
testAUTH_CRAM_MD5 (test.test_smtplib.SMTPSimTests) ... ERROR
testAUTH_LOGIN (test.test_smtplib.SMTPSimTests) ... ERROR
testAUTH_PLAIN (test.test_smtplib.SMTPSimTests) ... ERROR
testBasic (test.test_smtplib.SMTPSimTests) ... ERROR
testEHLO (test.test_smtplib.SMTPSimTests) ... ERROR
testEXPN (test.test_smtplib.SMTPSimTests) ... ERROR
testVRFY (test.test_smtplib.SMTPSimTests) ... ERROR
test_quit_resets_greeting (test.test_smtplib.SMTPSimTests) ... ERROR
testLineTooLong (test.test_smtplib.TooLongLineTests) ... ok

======================================================================
ERROR: testBasic (test.test_smtplib.DebuggingServerTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 182, in testBasic
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=3)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testHELP (test.test_smtplib.DebuggingServerTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 222, in testHELP
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=3)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testNOOP (test.test_smtplib.DebuggingServerTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 186, in testNOOP
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=3)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testNotImplemented (test.test_smtplib.DebuggingServerTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 199, in testNotImplemented
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=3)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testRSET (test.test_smtplib.DebuggingServerTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 192, in testRSET
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=3)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testSecondHELO (test.test_smtplib.DebuggingServerTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 215, in testSecondHELO
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=3)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testSend (test.test_smtplib.DebuggingServerTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 229, in testSend
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=3)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testVRFY (test.test_smtplib.DebuggingServerTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 206, in testVRFY
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=3)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testAUTH_CRAM_MD5 (test.test_smtplib.SMTPSimTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 527, in testAUTH_CRAM_MD5
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=15)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testAUTH_LOGIN (test.test_smtplib.SMTPSimTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 519, in testAUTH_LOGIN
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=15)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testAUTH_PLAIN (test.test_smtplib.SMTPSimTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 504, in testAUTH_PLAIN
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=15)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testBasic (test.test_smtplib.SMTPSimTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 451, in testBasic
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=15)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testEHLO (test.test_smtplib.SMTPSimTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 455, in testEHLO
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=15)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testEXPN (test.test_smtplib.SMTPSimTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 488, in testEXPN
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=15)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: testVRFY (test.test_smtplib.SMTPSimTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 476, in testVRFY
    smtp = smtplib.SMTP(HOST, self.port, local_hostname='localhost', timeout=15)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

======================================================================
ERROR: test_quit_resets_greeting (test.test_smtplib.SMTPSimTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/test/test_smtplib.py", line 540, in test_quit_resets_greeting
    timeout=15)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 256, in __init__
    (code, msg) = self.connect(host, port)
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 317, in connect
    (code, msg) = self.getreply()
  File "/usr/home/cmeyer/src/ports.svn/lang/python27/work/Python-2.7.11/Lib/smtplib.py", line 365, in getreply
    + str(e))
SMTPServerDisconnected: Connection unexpectedly closed: timed out

----------------------------------------------------------------------
Ran 26 tests in 1512.702s

FAILED (errors=16)
test test_smtplib failed -- multiple errors occurred
1 test failed again:
    test_smtplib
cem added a comment.Dec 17 2015, 5:34 PM

Ok, so these tests demonstrate that I'm not running a local SMTPd... I don't think that's a problem. The rest pass.

Unit tests probably shouldn't assume the presence of an external network daemon.

koobs accepted this revision.Dec 19 2015, 1:20 AM
koobs edited edge metadata.

LGTM, Thanks @cem

Please include a link to the 2.7.11 upstream release announcement in the commit log

This revision was automatically updated to reflect the committed changes.